#!/usr/bin/sh
set -eu
if [ $# -lt 1 ]; then
    echo "usage: $0 <arg1>" >&2
    exit 2
fi
new_arg1="${1}a"

if [ "${#1}" -ge 3 ]; then
    echo "return"
    exit 0
fi

echo "$0 ${new_arg1}"
exec "$0" "${new_arg1}"